package nl.sbdeveloper.mctpaudio.api.events;

import lombok.Getter;
import org.bukkit.entity.Player;
import org.bukkit.event.Cancellable;
import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;
import org.jetbrains.annotations.NotNull;

public class AudioConnectionUpdateEvent extends Event implements Cancellable {
    private static final HandlerList handlers = new HandlerList();
    @Getter
    private final Player player;
    @Getter
    private final boolean connected;

    private boolean cancelled = false;

    public AudioConnectionUpdateEvent(@NotNull Player who, boolean connected) {
        super(true);
        this.player = who;
        this.connected = connected;
    }

    @NotNull
    @Override
    public HandlerList getHandlers() {
        return handlers;
    }

    @NotNull
    public static HandlerList getHandlerList() {
        return handlers;
    }

    @Override
    public boolean isCancelled() {
        return cancelled;
    }

    @Override
    public void setCancelled(boolean cancelled) {
        if (!isConnected()) return; //Only works if the state is connected.
        this.cancelled = cancelled;
    }
}
