package nl.sbdeveloper.mctpaudio.socket.messages;

import lombok.Getter;
import nl.sbdeveloper.mctpaudio.api.AudioType;
import org.json.simple.JSONObject;

@Getter
public class AudioMessage extends AbstractMessage {
    private final String path;
    private final Boolean play;
    private final Integer at;

    protected AudioMessage(AudioType type, String path, Boolean play, Integer at) {
        super(type.toMessageTask());
        this.path = path;
        this.play = play;
        this.at = at;
    }

    public static AudioMessage of(AudioType type, String path) {
        return new AudioMessage(type, path, null, null);
    }

    public static AudioMessage of(AudioType type, String path, boolean play) {
        return new AudioMessage(type, path, play, null);
    }

    public static AudioMessage of(AudioType type, String path, boolean play, int at) {
        return new AudioMessage(type, path, play, at);
    }

    @Override
    protected JSONObject extendJson() {
        JSONObject data = new JSONObject();
        data.put("path", path);
        if (play != null) data.put("play", play);
        if (at != null) data.put("at", at);
        return data;
    }
}
