package nl.sbdeveloper.mctpaudio.socket.messages;

import lombok.Getter;
import org.json.simple.JSONObject;

@Getter
public class AuthenticationMessage extends AbstractMessage {
    private final boolean verified;

    private AuthenticationMessage(boolean verified) {
        super(MessageTask.AUTHENTICATION);
        this.verified = verified;
    }

    public static AuthenticationMessage of(boolean verified) {
        return new AuthenticationMessage(verified);
    }

    @Override
    protected JSONObject extendJson() {
        JSONObject data = new JSONObject();
        data.put("verified", verified);
        return data;
    }
}
